html {
    box-sizing: border-box;
    font-size: 62.5%;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

body {
    font-family: 'Raleway', sans-serif;
    font-size: 1.6rem;
    line-height: 2;
}

img {
    max-width: 100%;
}

h1 {
    font-size: 4rem;
}

h2 {
    font-size: 3.2rem;
}

p {
    font-size: 2rem;
}

.container {
    max-width: 1200px;
    width: 95%;
    margin: 0 auto;
}

.entry-blog a {
    display: inline-block;
    background-color: #2196F3;
    color: white;
    padding: 10px 20px;
    text-decoration: none;
    font-weight: bold;
    text-transform: uppercase;
}

/** Example Code - Layout Shifter - Grid **/
/* The Layout shifter pattern involves repositioning various elements based on different screen sizes the site can be viewed in. */
@media (min-width: 768px) {
    .layout-shifter {
        display: grid;
        grid-template-areas: "content" "below"; /* "element1" "element2" => element1 displays above and element2 below */
    }

    .sidebar {
        grid-area: below;
    }

    .main-content {
        grid-area: content;
        display: grid;
        grid-template-areas: "entry1 entry2";
        grid-template-columns: repeat(2, 1fr);
        column-gap: 3rem;
    }
}

@media (min-width: 992px) {
    .layout-shifter {
        /* Inherits display grid */
        grid-template-areas: "content sidebar"; /* "element1 element2" => element1 displays on the left and element2 on the right */
        column-gap: 2rem;
    }

    .sidebar {
        grid-area: sidebar;
    } 

    .main-content {
        grid-area: content;
        /* Inherits display grid */
        grid-template-areas: "entry1" "entry2";
        grid-template-columns: unset; /* Remove inherited nehaviour */
    }
}